## rifiuti2 0.6.1

=== debian/changelog ===
rifiuti2 (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * New upstream homepage.
  * New co-maintainer.
  * Added a directory as example. Consequently:
      - debian/examples: added to install the example.
      - debian/RECYCLE: added. This is the example.
      - debian/source/include-binaries: added to allow the files used as
        example.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0.
      - DH level to 9.
      - Using autoreconf now.
  * debian/clean: added to remove files created by upstream.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Re-written the short and long descriptions.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information.
  * debian/patches/fix-no-format-arguments: added to fix a FTBFS caused by no
      format arguments.
  * debian/rifiuti2.docs:
      - Renamed to docs.
      - Added README.md and NEWS.md.
      - Removed non existent NEWS, THANKS and TODO.
  * debian/source.lintian-overrides: removed. Using 'Team upload' now.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Jul 2015 19:15:32 -0300

rifiuti2 (0.5.1-3) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:32:22 +0200

rifiuti2 (0.5.1-2) unstable; urgency=low

  * Updating year in copyright file.
  * Adding misc-depends in control.
  * Updating standards to 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:21:39 +0200

rifiuti2 (0.5.1-1) unstable; urgency=low

  [ Anthony Wong ]
  * Initial release (Closes: #506952).

  [ Daniel Baumann ]
  * Adding vcs fields in control.
  * Rewrapping and improving wording of package long-description in control.
  * Rewriting copyright file in machine-interpretable format.
  * Removing AUTHORS from docs, no new information over than what is already in
    debian/copyright.
  * Removing README from docs, no new information other than what is already in
    the package long-description.
  * Prefixing debhelper files with package name.
  * Rewriting rules file.
  * Removing useless empty line at the end of changelog.
  * Adding wnpp bug number to changelog.
  * Adding myself to copyright.
  * Removing unnecessary version in libglib2.0-dev build-depends.
  * Removing upstream symlink for rifiuti-vista manpage.

 -- Daniel Baumann <daniel@debian.org>  Tue, 20 Jan 2009 21:28:17 +0100
