=== debian/control ===
Source: rifiuti2
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev
Standards-Version: 3.9.6
Homepage: https://abelcheung.github.io/rifiuti2
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/rifiuti2.git
Vcs-Git: git://anonscm.debian.org/forensics/rifiuti2.git

Package: rifiuti2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: replacement for rifiuti, a MS Windows recycle bin analysis tool
 Rifiuti2 analyses recycle bin files from Windows. Analysis of Windows
 recycle bin is usually carried out during Windows computer forensics.
 .
 Rifiuti2 can extract file deletion time, original path and size of deleted
 files and whether the deleted files have been moved out from the recycle
 bin since they are trashed.
 .
 Rifiuti2 is a rewrite of rifiuti, which is originally written for identical
 purpose. Then it was extended to cover more functionalities, such as:
 .
   * Handles recycle bin up to Windows 10;
   * Handles ancient Windows like 95, NT4 and ME;
   * Supports all localized versions of Windows - both Unicode-based ones
     and legacy ones (using ANSI code page);
   * Supports output in XML format as well as original tab-delimited text.
 .
 Rifiuti2 is designed to be portable and runs on command line environment. Two
 programs rifiuti and rifiuti-vista are chosen depending on relevant Windows
 recycle bin format.
