## rifiuti2 0.7.0

=== debian/changelog ===
rifiuti2 (0.7.0-3) unstable; urgency=medium

  * Bumped standards version to 4.5.1, no changes needed.
  * debian/patches/001: Add temporary patch to fix FTBFS with
    gettext 0.21. (Closes: #978335)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 04 Jan 2021 21:51:42 -0300

rifiuti2 (0.7.0-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.0, no changes needed.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/copyright: updated packaging years.
  * debian/tests/control: add superficial restriction. (closes: #969863)
  * Set upstream metadata fields:
      - Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Run wrap-and-sort.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 10 Sep 2020 17:51:29 -0300

rifiuti2 (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Bumped DH level to 12.
  * Bumped Standards-Version to 4.4.0
  * debian/clean: updated listed files.
  * debian/copyright: removed unused references.
  * debian/patches/*: removed all patches.
  * debian/rules: removed an override.
  * debian/tests/*: created to provide trivial tests.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 28 Jul 2019 21:00:54 -0300

rifiuti2 (0.6.1-6) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Dropped autoreconf depends
  * Bumped Standards-Version to 4.2.1
  * Bumped DH level to 11
  * Updated my email address
  * debian/copyright: updated URI and packaging copyright years.
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 29 Aug 2018 16:08:19 -0300

rifiuti2 (0.6.1-5) unstable; urgency=medium

  * Update DH level to 10.
  * debian/compat: updated to 10.
  * debian/rules: removed the '--with autoreconf' because it is default
    in DH 10.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 00:25:59 -0200

rifiuti2 (0.6.1-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/patches:
      - Added the '.patch' extension to all patches.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 25 Sep 2016 00:30:11 -0300

rifiuti2 (0.6.1-3) unstable; urgency=medium

  * debian/control:
      - Changed from cgit to git in Vcs-Browser field.
  * debian/watch: bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Wed, 23 Mar 2016 20:54:11 -0300

rifiuti2 (0.6.1-2) unstable; urgency=medium

  * New co-maintainer. Thanks Eriberto Mota for great work in the last upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Updated Vcs-* fields.
  * debian/copyright: added my name at debian/* block.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 20 Feb 2016 23:04:38 -0200
