=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: rifiuti2
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev
-Standards-Version: 3.9.6
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
+Build-Depends: debhelper-compat (=13), libglib2.0-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://abelcheung.github.io/rifiuti2
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/rifiuti2.git
-Vcs-Git: git://anonscm.debian.org/forensics/rifiuti2.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/rifiuti2
+Vcs-Git: https://salsa.debian.org/pkg-security-team/rifiuti2.git
 
 Package: rifiuti2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: replacement for rifiuti, a MS Windows recycle bin analysis tool
  Rifiuti2 analyses recycle bin files from Windows. Analysis of Windows
  recycle bin is usually carried out during Windows computer forensics.
