=== debian/tests/control ===
Test-Command: rifiuti2 -h
Restrictions: superficial
