=== debian/watch ===
version=4
https://github.com/abelcheung/rifiuti2/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
