## rifiuti2 0.8.2

=== debian/changelog ===
rifiuti2 (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/control: Bump Standards-Version to 4.7.2 (no changes)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Wed, 09 Apr 2025 09:04:32 -0300

rifiuti2 (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * d/clean: Remove file, unnecessary in the new release
  * d/control:
    - Add myself to Uploaders
    - Update Build-Depends for the new upstream release
  * d/copyright:
    - Add myself to debian/*
    - Update to reflect upstream copyright changes
  * d/patches:
    - 001-gettext-0.21-compat.patch: Drop patch, unnecessary in the new release
    - Fix-manpage-font-formatting.patch: New patch to fix manpage
  * d/rules:
    - Update build system to CMake for new upstream release
    - Remove LICENSE file, covered in debian/copyright

 -- Matheus Polkorny <mpolkorny@gmail.com>  Mon, 10 Mar 2025 10:18:43 -0300

rifiuti2 (0.7.0-5) unstable; urgency=medium

  * Team upload.
  * debian/control: bumped Standards-Version to 4.7.0.

  [ Santiago Vila ]
  * Update gettext patch for 0.23.x (Closes: #1092235)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 11:09:31 +0100

rifiuti2 (0.7.0-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: updated the search rule.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 28 Apr 2024 22:25:36 -0300
