=== debian/control ===
--- 
+++ 
@@ -2,9 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (=13), libglib2.0-dev
-Standards-Version: 4.5.1
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>,
+           Matheus Polkorny <mpolkorny@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               pkgconf,
+               ninja-build,
+               libglib2.0-dev,
+               libxml2-utils <!nocheck>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://abelcheung.github.io/rifiuti2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/rifiuti2
