=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_install:
	mv debian/rifiuti2/usr/bin/rifiuti debian/rifiuti2/usr/bin/rifiuti2
	mv debian/rifiuti2/usr/share/man/man1/rifiuti.1 debian/rifiuti2/usr/share/man/man1/rifiuti2.1
	rm -f debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1
	ln -s rifiuti2.1.gz debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1.gz
	#All license information should be collected in the debian/copyright file
	rm -f debian/rifiuti2/usr/share/doc/rifiuti2/LICENSE
