=== debian/watch ===
version=4
https://github.com/abelcheung/rifiuti2/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
